#
# spec file for package libcdaudio (Version 0.99.12)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt post-build-checks rpm sed sysvinit tar texinfo timezone util-linux zlib


Name:           libcdaudio
License:        GPL v2 or later
Group:          Productivity/Multimedia/CD/Grabbers
AutoReqProv:    on
Summary:        Functions to Control Operation of a CD-ROM When Playing Audio CDs
Version:        0.99.12
Release:        75.2
Source:         libcdaudio-0.99.12.tar.bz2
Patch:          libcdaudio-0.99.12.dif
Patch1:         buffer-overflow.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libcdaudio is a library designed to provide functions to control
operation of a CD-ROM when playing audio CDs.  It also contains
functions for CDDB and CD index lookup.



%debug_package
%package devel
License:        GPL v2 or later
Group:          Productivity/Multimedia/CD/Grabbers
AutoReqProv:    on
Requires:       %{name} = %{version}
Summary:        provide functions to control operation of a CD-ROM when playing audio CDs

%description devel
libcdaudio is a library designed to provide functions to control
operation of a CD-ROM when playing audio CDs.  It also contains
functions for CDDB and CD Index lookup.



%prep
%setup -q
%patch
%patch1

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=/usr --libdir=%_libdir
make -k

%install
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README
/usr/%_lib/libcdaudio*so*

%files devel
%defattr(-, root, root)
/usr/bin/libcdaudio-config
/usr/include/cdaudio.h
/usr/%_lib/pkgconfig/libcdaudio.pc
/usr/%_lib/libcdaudio*a
/usr/share/aclocal/libcdaudio.m4

%changelog
* Wed Nov 05 2008 - ro@suse.de
- safer reading of local cddb cache (bnc#432933)
* Sun Nov 26 2006 - ro@suse.de
- make devel package require main package (#223370)
* Tue Oct 31 2006 - meissner@suse.de
- Use RPM_OPT_FLAGS
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Sep 26 2005 - ro@suse.de
- split package from mythplugins
